AUTOMAKE_OPTIONS = foreign

EXTRA_DIST = makefile-xgl index.html ubit-doxygen.css
INCLUDES = -I$(top_srcdir)/include

Simple1_SOURCES	= Simple1.cpp
Simple2_SOURCES	= Simple2.cpp
Simple3_SOURCES	= Simple3.cpp
BasicProps_SOURCES	= BasicProps.cpp
BasicShared_SOURCES	= BasicShared.cpp
LayoutAndText_SOURCES	= LayoutAndText.cpp
Lists_SOURCES	= Lists.cpp
Drawing_SOURCES	= Drawing.cpp
Events_SOURCES	= Events.cpp
Tables_SOURCES	= Tables.cpp
Text1_SOURCES	= Text1.cpp
Text2_SOURCES	= Text2.cpp

Simple1_LDADD	= ../src/libubit.la
Simple2_LDADD	= ../src/libubit.la
Simple3_LDADD	= ../src/libubit.la
BasicProps_LDADD    = ../src/libubit.la
BasicShared_LDADD   = ../src/libubit.la
LayoutAndText_LDADD = ../src/libubit.la
Lists_LDADD	= ../src/libubit.la
Drawing_LDADD	= ../src/libubit.la
Events_LDADD	= ../src/libubit.la
Tables_LDADD	= ../src/libubit.la
Text1_LDADD	= ../src/libubit.la
Text2_LDADD	= ../src/libubit.la

noinst_PROGRAMS = Simple1 Simple2 Simple3 BasicProps BasicShared LayoutAndText Lists Drawing Events Tables Text1 Text2

